<?php


namespace FormBuilder;


use Core\ListingTable\Column;
use Core\ListingTable\Table;
use FormBuilderFieldModel;
use FormBuilderModel;

class FormBuilderEntryTable extends Table {

	private $_formModel;

	public function __construct(FormBuilderModel $model) {

		$this->_formModel = $model;
		$this->_factory = $model->getLinkFactory('FormBuilderEntry');

		parent::__construct();

		$this->forceViewMode('table');
		$this->setDefaultSort('created', 'DESC');
	}

	protected function _setupColumns() {
		foreach($this->_formModel->getLink('FormBuilderField') as $f) {
			/** @var FormBuilderFieldModel $f */
			$key = null;
			$col = null;

			switch ($f->get('type')) {
				case 'text':
				case 'email':
				case 'date':
				case 'datetime':
				case 'time':
					$key = 'field_' . $f->id;
					$col = new Column();
					break;
				case 'textarea':
				case 'checkboxes':
				case 'file':
					$key = 'field_' . $f->id;
					$col = new Column();
					$col->hidden();
					break;
			}

			if ($col) {
				$col->title($f->title)->key($key)->name($key)->disableSortable();
				$this->_columns[$key] = $col;
			}
		}

		$this->addColumn('junk');
		$this->addColumn('created');
		$this->addColumn('ip')->hidden();
		$this->addColumn('user_id')->hidden();
		$this->addColumn('useragent')->hidden();
		$this->addColumn('referrer')->hidden();
	}
/*
$table = new Table();
$table->setModelFactory($form->getLinkFactory('FormBuilderEntry'));
	//$table->getModelFactory()->order('created DESC');
$table->getFilters()->setSortDirection('DESC');
$table->getFilters()->setSortKey('created');

$columns = [];

}

$table->addColumn(['key' => 'junk']);
$table->addColumn(['key' => 'user_id', 'visible' => false]);
*/
}