<?php

/**
 * Created by PhpStorm.
 * User: charlie
 * Date: 2/9/16
 * Time: 5:24 PM
 */

use Core\View;
use Core\ViewControl;
use Core\Widget;


class FormBuilderWidget extends Widget {
	public function view(){
		$view = $this->getView();
		$pageView = \Core\Router::$DefaultView;
		$m    = new FormBuilderModel($this->getParameter(0));

		if(!$m->checkExists()) {
			return View::STATUS_NOTFOUND;
		}

		$form   = $m->getForm();
		$title  = $m->title;
		$formid = 'form-' . Core\str_to_url($title);

		if($m->isSecure()) {
			$view->ssl = true;
		}

		if($pageView) {
			foreach($m->getControlLinks() as $link) {
				if(isset($link['data-formbuilder-type']) && $link['data-formbuilder-type'] === 'listing') {
					$link['group'] = ViewControl::GROUP_VIEW;
					$link['title'] = $m->title . ' Submissions';
					$link['weight'] = ViewControl::WEIGHT_VIEW;

					$pageView->addControl(ViewControl::Factory($link));
				}
				elseif(isset($link['data-formbuilder-type']) && $link['data-formbuilder-type'] === 'edit') {
					$link['group'] = ViewControl::GROUP_MANAGE;
					$link['title'] = 'Edit ' . $m->title;
					$link['weight'] = ViewControl::WEIGHT_EDIT;

					$pageView->addControl(ViewControl::Factory($link));
				}
			}
		}


		$view->assign('model', $m);
		$view->assign('form', $form);
		$view->assign('id', $formid);
	}
}
