<!--<p>
	To access and enable/disable your API keys, use the <a href="https://code.google.com/apis/console" target="_BLANK">Google API dashboard</a>.
</p>-->

<main class="width-wrapper">

	<h1>Configure Google Analytics</h1>

	<div id="google-health-checks">
		{if $gtm && $uaid}
			<p class="message-error">
				Both GTM and UA are configured!  Please only configure <strong>either</strong> Google Tag Manager <strong>or</strong>
				Legacy Universal Analytics.
			</p>
		{/if}

		{if !$gtm && !$uaid}
			<p class="message-info">
				Google Analytics are completely disabled.  You can enable them by selecting the type and entering the necessary information below.
			</p>
		{/if}

		{if $gtm}
			{if strpos($gtm, 'GTM-') !== 0}
				<p class="message-error">
					GTM is enabled, but tag does not start with "GTM-"!
				</p>
			{else}
				<p id="google-health-check-gtm">
					Checking GTM Tag...
				</p>
			{/if}

		{/if}
	</div>

	<div class="button-group">
		<a href="#" class="button disable-ga" title="Disable Google Analytics">
			<span>Disable Analytics</span>
		</a>

		<a href="#" class="button enable-ga-gtm" title="Enable Google Tag Manager">
			<span>Enable Google Tag Manager</span>
		</a>

		<a href="#" class="button enable-ga-ua" title="Enable Legacy Universal Analytics">
			<span>Enable Legacy Google UA</span>
		</a>
	</div>


	{$form->render('head')}
	{$form->render('system')}

	<div id="google-settings-gtm">
		<p class="message-tutorial">
			Google Tag Manager is the recommended route for setting up Google Analytics.<br/><br/>
			To get started, follow the following steps.
		</p>
		<ul>
			<li>
				Open <a href="https://tagmanager.google.com" target="_blank">Google Tag Manager</a>
			</li>
			<li>
				Create the account if necessary.
			</li>
			<li>
				Enter the "Container ID", starts with "GTM-".
			</li>
		</ul>

		<br/>
        {$form->render('config[/google/tagmanager/tagid]')}
	</div>


	<div id="google-settings-ua">
		<p class="message-tutorial">
			For legacy sites, adding the Universal Analytics tag is supported, though migration to GTM is recommended.<br/><br/>
			To get started, follow the following steps.
		</p>
		<ul>
			<li>
				Open <a href="https://analytics.google.com" target="_blank">Google Analytics</a>
			</li>
			<li>
				Create the account if necessary.
			</li>
			<li>In the Google Dashboard sidebar, browse to Admin -&gt; Tracking Info -&gt; Tracking Code</li>
			<li>
				Enter the "Tracking ID", starts with "UA-".
			</li>
		</ul>

		<p class="message-warning">
			It is highly recommended to use Google Tag Manager for analytics installation.
		</p>

		<br/>
        {$form->render('config[/google-analytics/accountid]')}
	</div>


	<hr/>
	{$form->render('submitbtn')}

	{$form->render('foot')}

</main>


{script location="foot"}<script>
	function disable_ga() {
		document.querySelector('.disable-ga').classList.add('active');
		document.querySelector('.enable-ga-gtm').classList.remove('active');
		document.querySelector('.enable-ga-ua').classList.remove('active');

		document.getElementById('formtextinput-config-google-tagmanager-tagid').value = '';
		document.getElementById('google-settings-gtm').style.display = 'none';

		document.getElementById('formtextinput-config-google-analytics-accountid').value = '';
		document.getElementById('google-settings-ua').style.display = 'none';
	}

	function enable_ga_gtm() {
		document.querySelector('.disable-ga').classList.remove('active');
		document.querySelector('.enable-ga-gtm').classList.add('active');
		document.querySelector('.enable-ga-ua').classList.remove('active');

		document.getElementById('google-settings-gtm').style.display = 'block';

		document.getElementById('formtextinput-config-google-analytics-accountid').value = '';
		document.getElementById('google-settings-ua').style.display = 'none';
	}

	function enable_ga_ua() {
		document.querySelector('.disable-ga').classList.remove('active');
		document.querySelector('.enable-ga-gtm').classList.remove('active');
		document.querySelector('.enable-ga-ua').classList.add('active');

		document.getElementById('formtextinput-config-google-tagmanager-tagid').value = '';
		document.getElementById('google-settings-gtm').style.display = 'none';

		document.getElementById('google-settings-ua').style.display = 'block';
	}

	// Initial
	if(document.getElementById('formtextinput-config-google-tagmanager-tagid').value !== '') {
		enable_ga_gtm();
	}
	else if(document.getElementById('formtextinput-config-google-analytics-accountid').value !== '') {
		enable_ga_ua();
	}
	else {
		disable_ga();
	}

	// Events
	document.querySelector('.disable-ga').addEventListener('click', evt => {
		evt.preventDefault();
		disable_ga();
	});
	document.querySelector('.enable-ga-gtm').addEventListener('click', evt => {
		evt.preventDefault();
		enable_ga_gtm();
	});
	document.querySelector('.enable-ga-ua').addEventListener('click', evt => {
		evt.preventDefault();
		enable_ga_ua();
	});

	// Checks
	if(document.getElementById('google-health-check-gtm')) {
		let found = false,
			check = document.getElementById('google-health-check-gtm');

		for(let i = 0; i < document.scripts.length; i++) {
			if(document.scripts[i].src.indexOf('https://www.googletagmanager.com/gtm.js?id=') !== -1) {
				check.innerHTML = 'Page is loading ' + document.scripts[i].src;
				check.classList.add('message-success');
				found = true;
			}
		}

		if(!found) {
			check.innerHTML = 'GTM script not located in the page!  This could be a template issue.';
			check.classList.add('message-error');
		}
	}
</script>{/script}
