<?php
/**
 * File for class Schema definition in the coreplus project
 * 
 * @package Core\Datamodel
 * @author Charlie Powell <charlie@evalagency.com>
 * @date 20131022.1655
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

namespace Core\Datamodel\Columns;
use Core\Model;

class SchemaColumn___uuid extends SchemaColumn {
	public function __construct(){
		// Defaults
		$this->typecast               = 'string';
		$this->type                   = Model::ATT_TYPE_UUID;
		$this->maxlength              = 36;
		$this->encoding               = Model::ATT_ENCODING_UTF8MB4;
		$this->formAttributes['type'] = 'system';
		$this->comment                = 'Primary ID, as a UUID-formatted string';
	}

	/**
	 * Get the value appropriate for INSERT statements.
	 *
	 * @return string
	 */
	public function getInsertValue(){
		if(!$this->value){
			$this->setValueFromApp(\Core\generate_uuid());
		}

		return $this->value;
	}
}