<?php


namespace Core\GPG;


class KeyImportResults {

	/** @var PrimaryKey[] */
	public $keys = [];

	public $changes = 0;

	public function processFileImport(GPG $backend, string $output) {
/*
gpg: key DB0AD0EBB2BEDCCB: 44 signatures not checked due to missing keys
gpg: key DB0AD0EBB2BEDCCB: "Charlie Powell <charlie@evalagency.com>" not changed
gpg: key B57C154E2EE4C5B0: "Charlie Powell (Personal Gmail) <cdp1337@gmail.com>" not changed
gpg: key FD924299B83494C6: "Charlie Powell (Principal Partner & CTO) <charlie@evalagency.com>" not changed
gpg: Total number processed: 3
gpg:              unchanged: 3
*/

		$this->keys = [];
		$lines = array_map('trim', explode("\n", $output));
		$ids = [];
		$unchanged = 0;

		foreach($lines as $line) {
			if(preg_match('/^gpg: key [A-F0-9]*:/', $line)) {
				$ids[] = preg_replace('/^gpg: key ([A-F0-9]*):.*/', '$1', $line);
			}
			elseif(preg_match('/^gpg:[ ]*unchanged:/', $line)) {
				$unchanged = (int) preg_replace('/^gpg:[ ]*unchanged: ([0-9]*).*/', '$1', $line);
			}
		}

		$ids = array_unique($ids);

		foreach($ids as $id) {
			$this->keys[] = $backend->getKey($id);
		}
		$this->changes = count($this->keys) - $unchanged;
	}

}