<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\Installer\Checks;

/**
 *
 * @author charlie
 */
interface CheckInterface {
	public const STATUS_PASSED = 'pass';
	public const STATUS_WARNING = 'warn';
	public const STATUS_FAILED = 'fail';

	/**
	 * Get the title of this check
	 * @return string
	 */
	public function getTitle() : string;
	
	/**
	 * Run the test for this check
	 * @return bool True if passed, False otherwise
	 */
	public function test() : bool;

	/**
	 * Perform an extended test, provides support for returning more than just pass/fail.
	 *
	 * @return string
	 */
	public function testExtended() : string;
	
	/**
	 * Get additional details that may help the user fix the problem
	 * @return string
	 */
	public function getDetails() : string;
	
	/**
	 * Get the scripted fix for this problem that provides the user how to fix it
	 * @return string
	 */
	public function getFix(): string;
}
