<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\Parser\JPEGExif\Tags;

/**
 * Description of ExposureProgram
 *
 * @author charlie
 */
class LightSourceTag extends ExifFieldTag {
	protected function _parse(array &$exif) {
		switch($this->raw) {
			case 0:   
				$this->formatted = 'Unknown';
				break;
			case 1:   
				$this->formatted = 'Daylight';
				break;
			case 2:   
				$this->formatted = 'Fluorescent';
				break;
			case 3:   
				$this->formatted = 'Tungsten (incandescent light)';
				break;
			case 4:   
				$this->formatted = 'Flash';
				break;
			case 9:   
				$this->formatted = 'Fine weather';
				break;
			case 10:  
				$this->formatted = 'Cloudy weather';
				break;
			case 11:  
				$this->formatted = 'Shade';
				break;
			case 12:  
				$this->formatted = 'Daylight fluorescent (D 5700 - 7100K)';
				break;
			case 13:  
				$this->formatted = 'Day white fluorescent (N 4600 - 5400K)';
				break;
			case 14:  
				$this->formatted = 'Cool white fluorescent (W 3900 - 4500K)';
				break;
			case 15:  
				$this->formatted = 'White fluorescent (WW 3200 - 3700K)';
				break;
			case 17:  
				$this->formatted = 'Standard light A';
				break;
			case 18:  
				$this->formatted = 'Standard light B';
				break;
			case 19:  
				$this->formatted = 'Standard light C';
				break;
			case 20:  
				$this->formatted = 'D55';
				break;
			case 21:  
				$this->formatted = 'D65';
				break;
			case 22:  
				$this->formatted = 'D75';
				break;
			case 23:  
				$this->formatted = 'D50';
				break;
			case 24:  
				$this->formatted = 'ISO studio tungsten';
				break;
			case 255: 
				$this->formatted = 'Other light source';
				break;
			default:
				$this->formatted = 'Unknown';
		}
	}
}
