<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\ViewMeta;

use Exception;

/**
 * Provides base functionality for View Meta tags
 *
 * @author charlie
 */
class Base {
	
	protected $_content = '';
	
	protected $_contentKey;
	
	/**
	 * Get this Meta's value as a string
	 * 
	 * @return string
	 */
	public function __toString() : string {
		return '';
	}
	
	/**
	 * Set the Meta value
	 * 
	 * @param string $value
	 * @param string $valueKey
	 */
	public function setContent($value, $valueKey = null){
		$this->_content = $value;
		$this->_contentKey = $valueKey;
	}
	
	/**
	 * Fetch this Meta as an arrays that can be appended to the View
	 * 
	 * @return array
	 */
	public function fetch() : array {
		return [];
	}

	/**
	 * Create a new property
	 * 
	 * @param $name
	 *
	 * @throws Exception
	 * 
	 * @return Base
	 */
	public static function Factory(string $name) : Base {
		
		// All properties must be defined in the ViewMeta namespace
		$classname = 'Core\\ViewMeta\\' . ucfirst($name);
		
		if(class_exists($classname)){
			// There's a custom class for this type which probably has additional logic.
			return new $classname();
		}
		else{
			// Just use a generic Meta tag for this value if it's not set otherwise.
			return new GenericMeta($name);
		}
	}
}
