<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

use Core\Router;

function smarty_function_breadcrumbs($params, $smarty) {
	
	$view = Router::$DefaultView;
	$crumbs = $view->getBreadcrumbs();
	$format = isset($params['format']) ? $params['format'] : 'flat';
	$assign = isset($params['assign']) ? $params['assign'] : null;
	$lis    = $format === 'ul' || $format === 'ol';
	$last   = count($crumbs) - 1;
	
	$out = '';
	
	if(count($crumbs) <= 1) {
		// If there are no parent pages, do not display the breadcrumbs.
		if($assign) {
			$smarty->assign($assign, $out);
		}
		return '';
	}
	
	foreach($crumbs as $idx => $c) {
		$attributes = [
			'class' => ['page-breadcrumb'],
			'itemprop' => 'itemListElement',
			'itemscope' => null,
			'itemtype' => 'https://schema.org/ListItem'
		];
		
		if($c['baseurl']) {
			$attributes['class'][] = \Core\str_to_url($c['baseurl']) . '-link';
		}

		$attString = \Core\array_to_html_attributes_string($attributes);
		
		
		if($lis && $c['link']) {
			$out .= '<li ' . $attString . '>' .
				'<a href="' . $c['link'] . '">' .
				$c['title'] .
				'</a>' .
				'</li>';
		}
		elseif($lis && !$c['link']) {
			$out .= '<li ' . $attString . '>' .
				'<span>' .
				$c['title'] .
				'</span>' .
				'</li>';
		}
		elseif($c['link']) {
			$out .= '<a href="' . $c['link'] . '" ' . $attString . '>' .
				$c['title'] .
				'</a>';
		}
		else{
			$out .= '<span ' . $attString . '>' .
				$c['title'] .
				'</span>';
		}
		
		if(!$lis && $last !== $idx) {
			$out .= ' <span class="breadcrumb-sep">»</span> ';
		}
	}
	
	if($out) {
		// Attach the necessary prefix/suffix based on the requested format.
		switch($format){ 
			case 'ul':
				$out = '<ul>' . $out . '</ul>';
				break;
			case 'ol':
				$out = '<ol>' . $out . '</ol>';
				break;
		}
	}
	
	if($assign) {
		$smarty->assign($assign, $out);
		return '';
	}
	else {
		return $out;
	}
}