<?php
/**
 * @package Core\Templates\Smarty
 * @since 1.9
 * @author Charlie Powell <charlie@evalagency.com>
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

/**
 * Convert markdown text to HTML.
 *
 * Type:     modifier<br>
 * Name:     md_to_html<br>
 *
 * @param string $string input string
 *
 * @return string HTML text
 */
function smarty_modifier_md_to_html($string) {
	$converter = new \Core\Converter\MDtoHTML\MarkdownToHTMLConverter();

	if($string !== null) {
		return $converter->convert($string);
	}
	else {
		return '';
	}
}
