{**
 * Helper template for /user/me and /user/view/N to render the sidebar that contains
 * most of the user attributes, particularly those that are short.
 *
 * Expected variables:
 * 
 * $user UserModel of the requested user.
 *}

<section class="user-details-section">
	<dl>
		{foreach $attributes as $k => $dat}
			{* A few fields have custom output configurations/layouts. *}

			{if $k == 'avatar' || $k == 'email' || $k == 'phone' || $k == 'mobile_phone'}
				{* These fields are already rendered on the sidebar! *}
			{elseif $user->get($k) && (strlen($user->get($k)) + strlen($k)) >= 38}
				<dt class="user-field-{$k}">{$dat->getTitle()}</dt>
				<dd class="user-field-{$k}">{$user->get($k, 'text/html')}</dd>
			{/if}
		{/foreach}

		{*
		<dt>
			API Key:
		</dt>
		<dd>
			<a href="#user-apikey" class="reveal-hidden-value">
				Show
				<i class="icon icon-lock" title="Show API Key"></i>
			</a>
			<span class="hidden-value" id="user-apikey" style="display:none;">{$user.apikey}</span>
		</dd>
		*}
	</dl>
</section>

{if isset($groups)}
	<section class="user-details-section">
		<h3>User Group Memberships</h3>
		<ul>
			{foreach $groups as $g}
				<li>{$g.name}</li>
			{foreachelse}
				<li>Not a member of any groups!</li>
			{/foreach}
		</ul>
	</section>
{/if}

{if isset($sessions)}
	<section class="user-details-section">
		<h3>Active Sessions</h3>
		{foreach $sessions as $session}
			{$session->get('ip_addr', 'text/html')}, last active {$session->get('updated', 'text/html')}<br/>
		{foreachelse}
			No current sessions
		{/foreach}
	</section>
{/if}

{if isset($devices)}
	<section class="user-details-section">
		<h3>Registered Devices</h3>
		{foreach $devices as $device}
			{$device->get('useragent', 'text/html')}, last connected from {$device->get('ip_addr', 'text/html')} on {$device->get('updated', 'text/html')}<br/>
		{foreachelse}
			No registered devices
		{/foreach}
	</section>
{/if}