<li itemscope itemtype="http://schema.org/Person" class="collection-item">

	{link link="/user/view/`$model.id`" assign='link'}
	<div class="collection-item-image">
		<a href="{$link}" title="{$model->getDisplayName()|escape}">
			{img src="`$model.avatar`" itemprop="image" dimensions="80x80^" placeholder="person" sizes="(max-width:500px)=500x500"}
		</a>
	</div>
	
	<div class="collection-item-header">
		<div class="collection-item-title">
			<a href="{$link}" title="{$model->getDisplayName()|escape}" itemprop="url">
				{$model->get('active', 'text/html')}
				{if $model.first_name}
					<span itemprop="givenName" class="user-first-name">{$model.first_name|escape}</span>
				{/if}
				{if $model.last_name}
					<span itemprop="familyName" class="user-last-name">{$model.last_name|escape}</span>
				{/if}
				
				{if !$model.first_name && !$model.last_name}
					<span itemprop="name" class="user-display-name">{$model->getDisplayName()|escape}</span>
				{/if}
			</a>
			
			{if $model.email}
				<span class="user-email">
					&lt;<span itemprop="email">{$model.email}</span>&gt;
				</span>
			{/if}

            {if $model.company}
				<span class="user-company-block">
				{if $model.title}
					<span class="user-title">
						{$model.title}
					</span>
                {/if}
				<span class="user-company">
					{$model->get('company', 'text/html')}
				</span>
				{if $model.department}
					<span class="user-department">
						({$model.department})
					</span>
                {/if}
			</span>
            {/if}
		</div>
	</div>
	
	{if $model.__search_relevancy}
		<div class="search-relevancy collection-item-sidenote" title="Relevancy {$model.__search_relevancy|round:2}%">
			REL:
			{if $model.__search_relevancy > 90}
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
			{elseif $model.__search_relevancy > 66}
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
				<i class="icon icon-star-o"></i>
			{else}
				<i class="icon icon-star"></i>
				<i class="icon icon-star-o"></i>
				<i class="icon icon-star-o"></i>
			{/if}
		</div>
	{/if}

	<div class="collection-item-controls">
		{controls model=$model}
	</div>
	

	<div class="collection-item-description">
		<ul>
			{if $model.phone}
				<li class="user-field-phone">
					<i class="icon icon-phone" title="{t 'STRING_MODEL_USERMODEL_PHONE'}"></i>
					{$model.phone|escape}
				</li>
			{/if}

			{if $model.office_phone}
				<li class="user-field-office_phone">
					<i class="icon icon-phone-square" title="{t 'STRING_MODEL_USERMODEL_OFFICE_PHONE'}"></i>
					{$model.office_phone|escape}
				</li>
			{/if}

			{if $model.home_phone}
				<li class="user-field-home_phone">
					<i class="icon icon-home" title="{t 'STRING_MODEL_USERMODEL_HOME_PHONE'}"></i>
					{$model.home_phone|escape}
				</li>
			{/if}

			{if $model.mobile_phone}
				<li class="user-field-mobile_phone">
					<i class="icon icon-mobile" title="{t 'STRING_MODEL_USERMODEL_MOBILE_PHONE'}"></i>
					{$model.mobile_phone|escape}
				</li>
			{/if}
		</ul>

		{if $model.notes}
			{$model.notes|escape}
		{/if}
	</div>
	
	<span class="collection-item-footnote">
		{if $model.external_profiles}
			<div class="button-group">
				{foreach $model.external_profiles as $profile}
					<a href="{$profile.url}" rel="me" title="{($profile.title) ? $profile.title : $profile.type}" target="_blank" class="button">
						<i class="icon icon-{$profile.type}"></i>
						<span>{if $profile.title}{$profile.title}{else}{$profile.url}{/if}</span>
					</a>
				{/foreach}
			</div>
		{/if}
	</span>
</li>