{css href="assets/css/theme/admin.css"}{/css}

<main class="width-wrapper">
	<h1>Change Theme</h1>

	<p class="message-tutorial">
		Themes are the main top-level element controlling how your site looks.
		You can have multiple themes installed and ready, but only one theme activated at a time.
		Only the currently active theme can be used for selecting skins and email skins.
	</p>

	<h2>Themes Installed</h2>
	<div class="theme-picker theme-section tile-container">
        {if $theme_selection_enabled}
            {foreach $themes as $theme}

                {assign var='screen' value=$theme->getScreenshot()}

				<div class="theme {if $theme->isInstalled()}current-theme{/if} tile">
					<div class="tile-title">
                        {$theme->getName()}
					</div>

					<div class="tile-image">
                        {if $screen.file}
							<img src="{$screen.file->getPreviewURL('220x160')}" title="{$screen.title}"/>
                        {else}
                            {img src="assets/images/placeholders/generic.svg" dimensions="220x160"}
                        {/if}
					</div>

					<div class="tile-controls">
                        {if !$theme->isEnabled()}
                            {a class="button" href="/theme/setdefault/`$theme->getKeyName()`" confirm="Set `$theme->getName()` as site-wide default theme?"}
								Set As Default
                            {/a}
                        {else}
							Current Default
                        {/if}
					</div>
				</div>
            {/foreach}
        {else}
            {foreach $themes as $theme}
                {if $theme->isEnabled()}
                    {assign var='screen' value=$theme->getScreenshot()}
					<div class="theme current-theme tile">
						<div class="tile-title">
                            {$theme->getName()}
						</div>

						<div class="tile-image">
                            {if $screen.file}
								<img src="{$screen.file->getPreviewURL('220x160')}" title="{$screen.title}"/>
                            {else}
                                {img src="assets/images/placeholders/generic.svg" dimensions="220x160"}
                            {/if}
						</div>

						<div class="tile-controls">
							Current Default
						</div>
					</div>
                {/if}
            {/foreach}
        {/if}
	</div>
</main>
