{css href="assets/css/theme/admin.css"}{/css}

<main class="width-wrapper">
	<h1>Theme Manager</h1>

	<ul class="tile-container">
		{foreach $pages as $page}
			{$page->render('tile')}
		{/foreach}
	</ul>

    {if $current}
		<div class="theme-section">
			<h2>Theme {$current->getName()} Configurable Options</h2>

			<p class="message-tutorial">
				Some themes support configurable options
			</p>

            {if $options_form}
                {$options_form->render()}
            {else}
				<p class="message-info">
					There are no configurable options for your selected theme.
				</p>
            {/if}
		</div>
    {else}
		<div class="theme-section">
			<p class="message-error">
				An invalid, uninstalled, or otherwise corrupt theme is currently set as the default option!  It's HIGHLY recommended to resolve that.
			</p>
		</div>
    {/if}

    {if $theme_selection_enabled && $current}
		<div class="theme-section">
			<h2>Theme {$current->getName()} Skins</h2>

			<p class="message-tutorial">
				Theme skins are your site's main container controlling the entire look and feel.
				Some applications can use a different skin if your theme has multiple to choose from, but generally the "public" skin
				is used for all public-facing, (anonymous), pages.
				The admin skin will only be used for administrative pages.
			</p>

            {$site_skins_form->render()}
		</div>
    {/if}
</main>
