{script src="js/updater/index.js" location="foot"}{/script}

<main class="width-wrapper">
	<h1>
		{t 'STRING_SYSTEM_UPDATER'}
	</h1>

	<p class="message-tutorial">
		Here you can enable, disable, activate, and remove various components that are available currently.
		<br/><br/>
		To grab <strong>new</strong> components, functionality, and themes, take a peek at the
		{a href="/updater/browse" class="button"}
			Package Browser
		{/a}
	</p>

	{if $not_installed_count >= 2}
		<p class="message-info">
			{t 'MESSAGE_THERE_ARE_N_NOT_INSTALLED_COMPONENTS' $not_installed_count}<br/>
			{a href="/admin/component/installall" confirm="" class="button"}
				<i class="icon icon-check"></i>
				{t 'STRING_INSTALL_ALL_COMPONENTS'}
			{/a}
		</p>
	{/if}

	{if $jquery_available}
		<div id="update-everything-wrapper" style="display:none;">
			<form action="{link '/updater/update_everything'}" method="POST" id="update-everything-form" target="update-everything">
				<input type="submit" value="Update Everything"/>
			</form>

			{progress_log_iframe name='update-everything' form='update-everything-form'}
		</div>
	{/if}

	<!-- This will get populated with the update progress for installs and updates. -->
	<div id="update-terminal" style="display:none;"></div>

	<!-- This will get cloned by javascript into the link when checking. -->
	<span id="loading-replacement-text" style="display:none;">
		Checking Upgrade/Install
		{img src="assets/images/loading-bar-small.gif"}
	</span>



	<div class="listing-collection">
		<div class="collection-item">
			{img class="collection-item-image" src="`$core->getLogo()`" dimensions="48x48"}
			<div class="collection-item-title">
				{if $core->isInstalled() && $core->isEnabled() && $core->isReady()}
					<i class="icon icon-check status-good" title="{t 'STRING_OPERATIONAL'}"></i>
				{elseif $core->isEnabled() && !$core->isReady()}
					<i class="icon icon-exclamation-triangle status-bad" title="{t 'STRING_ERRORS'}"></i>
				{elseif $core->isInstalled() && !$core->isEnabled()}
					<i class="icon icon-times-circle-o" title="{t 'STRING_DISABLED'}"></i>
				{/if}

				Core {$core->getVersion()}
			</div>

			{if $core->isEnabled() && !$core->isReady()}
				<p class="message-error collection-item-description">
					{$core->error}
				</p>
			{/if}

			<p class="collection-item-description">
				{$core->getDescription()}
			</p>

			<fieldset class="collection-item-description collapsible collapsed">
				<div class="fieldset-title">
					Details
					<i class="icon icon-chevron-down expandable-hint"></i>
					<i class="icon icon-chevron-up collapsible-hint"></i>
				</div>
				<div>
					Provides:
					<ul>
						{foreach $core->getProvides() as $p}
							<li>
								{$p->type} {$p->name}
								{if $p->version}v{$p->version}{/if}
							</li>
						{/foreach}
					</ul>

					Requires:
					<ul>
						{foreach $core->getRequires() as $r}
							<li>
								{$r->getLabel()}
							</li>
						{/foreach}
					</ul>
				</div>
			</fieldset>

			<menu class="collection-item-controls">
				<div class="button-group">
					{if $core->isInstalled() && $core->isEnabled()}
						<a href="#" class="button update-link" data-type="core" data-key="{$core->getKeyName()}">
							<i class="icon icon-spin icon-spinner"></i>
							<span>Checking Updates</span>
						</a>
					{/if}
				</div>
			</menu>
		</div>
	</div>


	<div class="listing-collection">
		{foreach from=$components item=c}
            {if $c->isInstalled() && $c->isEnabled() && $c->isReady()}
				{assign var=status value='good'}
            {elseif $c->isEnabled() && !$c->isReady()}
				{assign var=status value='error'}
            {elseif $c->isInstalled() && !$c->isEnabled()}
				{assign var=status value='disabled'}
			{elseif !$c->isInstalled()}
				{assign var=status value='available'}
			{else}
				{assign var=status value='unknown'}
            {/if}

			<div class="collection-item component component-status-{$status}">
				{if $c->isInstalled() && $c->getLogo()}
					{img class="collection-item-image" src="`$c->getLogo()`" dimensions="48x48"}
				{/if}

				<div class="collection-item-title">
					{if $c->isInstalled() && $c->isEnabled() && $c->isReady()}
						<i class="icon icon-check" title="{t 'STRING_OPERATIONAL'}"></i>
					{elseif $c->isEnabled() && !$c->isReady()}
						<i class="icon icon-exclamation-triangle" title="{t 'STRING_ERRORS'}"></i>
					{elseif $c->isInstalled() && !$c->isEnabled()}
						<i class="icon icon-times-circle" title="{t 'STRING_DISABLED'}"></i>
					{/if}

					{$c->getName()} {$c->getVersion()}
				</div>

				{if $c->isEnabled() && !$c->isReady()}
					<p class="message-error collection-item-description">
						{$c->error}
					</p>
				{/if}

				<p class="collection-item-description">
					{$c->getDescription()}
				</p>

				<fieldset class="collection-item-description collapsible collapsed">
					<div class="fieldset-title">
						Details
						<i class="icon icon-chevron-down expandable-hint"></i>
						<i class="icon icon-chevron-up collapsible-hint"></i>
					</div>
					<div>
						Provides:
						<ul>
							{foreach $c->getProvides() as $p}
								<li>
									{$p->type} {$p->name}
									{if $p->version}v{$p->version}{/if}
								</li>
							{/foreach}
						</ul>

						Requires:
						<ul>
							{foreach $c->getRequires() as $r}
								<li>
									{$r->getLabel()}
								</li>
							{/foreach}
						</ul>
					</div>
				</fieldset>

				<menu class="collection-item-controls">
					<div class="button-group">
						{if $c->isInstalled() && $c->isEnabled()}
							<a href="#" class="button update-link" data-type="component" data-key="{$c->getKeyName()}">
								<i class="icon icon-spin icon-spinner"></i>
								<span>Checking Updates</span>
							</a>
						{/if}

						{if !$c->isInstalled()}
							{a href="/admin/component/install?component=`$c->getKeyName()`" confirm="" class="button"}
								<i class="icon icon-check"></i>
								{t 'STRING_INSTALL_AND_ACTIVATE'}
							{/a}
						{/if}

						{if $c->isInstalled() && !$c->isEnabled()}
							{a href="/admin/component/enable?component=`$c->getKeyName()`" confirm="" class="button"}
								<i class="icon icon-check"></i>
								{t 'STRING_ENABLE'}
							{/a}
						{/if}

						{if $c->isInstalled() && $c->isEnabled()}
							{a href="/admin/component/disable?component=`$c->getKeyName()`" confirm="" class="button"}
								<i class="icon icon-times"></i>
								{t 'STRING_DISABLE'}
							{/a}
						{/if}

						{if $c->isInstalled()}
							{a href="/admin/component/uninstall?component=`$c->getKeyName()`" confirm="Uninstalling will completely remove all related data for this component!  Are you sure?" class="button"}
								<i class="icon icon-trash"></i>
								{t 'STRING_UNINSTALL'}
							{/a}
						{else}{*
							{a href="#@todo" confirm="" class="button"}
								<i class="icon icon-trash"></i>
								{t 'STRING_COMPLETELY_REMOVE'}
							{/a}*}
						{/if}
					</div>
				</menu>
			</div>
		{/foreach}
	</div>


	<div class="listing-collection">
		{foreach from=$themes item=t}
			<div class="collection-item">
				<div class="collection-item-title">
					{if $t->isInstalled() && $t->isEnabled() && $t->isReady()}
						<i class="icon icon-check status-good" title="{t 'STRING_OPERATIONAL'}"></i>
					{elseif $t->isEnabled() && !$t->isReady()}
						<i class="icon icon-exclamation-triangle status-bad" title="{t 'STRING_ERRORS'}"></i>
					{elseif $t->isInstalled() && !$t->isEnabled()}
						<i class="icon icon-times-circle-o" title="{t 'STRING_DISABLED'}"></i>
					{/if}

					{$t->getName()} {$t->getVersion()}
				</div>

				{if $t->isEnabled() && !$t->isReady()}
					<p class="message-error collection-item-description">
						{$t->error}
					</p>
				{/if}

				<p class="collection-item-description">
					{$t->getDescription()}
				</p>

				<menu class="collection-item-controls">
					<div class="button-group">
						<a href="#" class="button update-link" data-type="theme" data-key="{$t->getKeyName()}">
							<i class="icon icon-spin icon-spinner"></i>
							<span>Checking Updates</span>
						</a>
					</div>
				</menu>
			</div>
		{/foreach}
	</div>
</main>
